Listen 81
WSGISocketPrefix /var/run/wsgi #create this folder and make it writeable by the user apache runs as
<VirtualHost *:81> #port 81 because my proxy app runs on port 80
  ServerName graphite
  DocumentRoot "/opt/graphite/webapp"

  WSGIDaemonProcess graphite user=graphite processes=2 threads=3 display-name='%{GROUP}' inactivity-timeout=120
  WSGIProcessGroup graphite
  WSGIApplicationGroup %{GLOBAL}
  WSGIImportScript /opt/graphite/conf/graphite.wsgi process-group=graphite application-group=%{GLOBAL}

  WSGIScriptAlias / /opt/graphite/conf/graphite.wsgi 

  Alias /content/ /opt/graphite/webapp/content/
  <Location "/content/">
          SetHandler None
  </Location>

  # The graphite.wsgi file has to be accessible by apache. It won't
  # be visible to clients because of the DocumentRoot though.
  <Directory /opt/graphite/conf/>
          Order deny,allow
          Allow from all
  </Directory>
</VirtualHost>
